Subject: bug#11157: 23.3; rcirc - /part <channel> <string> is confusing

From: [email-masked] (Trent W. Buck)
Date: Tue, 03 Apr 2012 10:37:01 +1000

Usually I don't bother with a part message, but when I do, I get 
this confusing/annoying behaviour:  10:32 /part #dovecot Never 
mind, it's working now.
    10:32 *** twb PART #dovecot "Never"

AFAICT the arguments are

    /part [channel [message]]

IMO they should be

    /part [channel [message ...]]

i.e. instead of ignoring additional arguments, treat them as part of the
part message.

In GNU Emacs 23.3.1 (arm-unknown-linux-gnueabi)
 of 2011-08-15 on cushaw, modified by Debian
configured using `configure  '--build' 'arm-linux-gnueabi' '--build' 'arm-linux-gnueabi' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var/lib' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs23:/etc/emacs:/usr/local/share/emacs/23.3/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.3/site-lisp:/usr/share/emacs/site-lisp:/usr/share/emacs/23.3/leim' '--with-crt-dir=/usr/lib/arm-linux-gnueabi' '--with-x=no' '--without-gconf' 'build_alias=arm-linux-gnueabi' 'CFLAGS=-DDEBIAN -g -O2' 'LDFLAGS=-g' 'CPPFLAGS=''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: C
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_AU.utf8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: rcirc

Minor modes in effect:
  rcirc-track-minor-mode: t
  shell-dirtrack-mode: t
  xterm-mouse-mode: t
  ido-everywhere: t
  savehist-mode: t
  icomplete-mode: t
  partial-completion-mode: t
  show-paren-mode: t
  delete-selection-mode: t
  use-hard-newlines: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
m u t t DEL DEL DEL DEL c a c h e / m u RET C-j SPC 
RET > > > ESC O B ESC O B d x y e s RET ESC O A ESC 
O A ESC O A RET ESC > C-x C-s F Y I . C-x C-s C-x C-c 
C-c C-@ C-c C-@ ESC a C-x C-f C-f ESC O A ESC O A RET 
g RET g RET g ESC O B ESC O B RET C-x C-k m m ESC ! 
d u SPC - s c h SPC ~ / . m u DEL DEL c a c h e / m 
u t t RET ! r m SPC - r RET g ESC ! ESC O A ESC O A 
RET C-x C-k C-x C-k C-x b # e RET C-x 1 C-c C-l C-c 
C-o C-x b # e RET C-x b # C-g / j o i n SPC # d o v 
e c o t RET N e v e r SPC m i n d , SPC i t SPC ' DEL 
DEL ' s SPC w o r k i n g SPC n o w . ESC [ 1 ~ / p 
a r t SPC # d o v e c o t SPC RET ESC a ESC a ESC a 
ESC a ESC O A ESC [ 4 ~ ESC O C C-@ ESC O A ESC O A 
ESC w C-x C-x ESC w ESC ? C-x C-x ESC w ESC > ESC x 
e r p o DEL DEL DEL DEL r e p o r t b u DEL DEL SPC 
e m a c s SPC u g DEL DEL b u g RET

Recent messages:
Directory has changed on disk; type g to update Dired
36M	/home/twb/.cache/mutt
36M	total
(Shell command succeeded with no output)
21M	/home/twb/.cache/mutt
21M	total
Activity in this buffer is low priority
Rcirc-Omit mode enabled
Quit
Mark set [2 times]

Load-path shadows:
/usr/share/emacs/23.3/site-lisp/debian-startup hides /usr/share/emacs/site-lisp/debian-startup
/usr/share/emacs/site-lisp/rst hides /usr/share/emacs/23.3/lisp/textmodes/rst
/usr/share/emacs23/site-lisp/dictionaries-common/ispell hides /usr/share/emacs/23.3/lisp/textmodes/ispell
/usr/share/emacs23/site-lisp/dictionaries-common/flyspell hides /usr/share/emacs/23.3/lisp/textmodes/flyspell

Features:
(shadow sort mail-extr message ecomplete rfc822 mml mml-sec mm-decode
mm-bodies mm-encode mailcap mail-parse rfc2231 rfc2047 rfc2045 qp
ietf-drums mailabbrev nnheader mm-util mail-prsvr gmm-utils wid-edit
mailheader canlock sha1 hex-util hashcash mail-utils emacsbug sendmail
noutline outline ffap disp-table rcirc tabify whitespace vc-dispatcher
vc-darcs cl cl-19 xml image quail help-mode easymenu view windmove
dired-aux tramp-imap assoc tramp-gw tramp-fish tramp-smb tramp-cache
tramp-ftp tramp-cmds tramp auth-source gnus-util netrc time-date advice
help-fns advice-preload shell comint ring password-cache format-spec
tramp-compat trampver dired regexp-opt server jka-compr edmacro kmacro
xt-mouse ido savehist icomplete complete paren delsel saveplace
debian-el debian-el-loaddefs w3m-load emacs-goodies-el
emacs-goodies-custom emacs-goodies-loaddefs easy-mmode dpkg-dev-el
dpkg-dev-el-loaddefs ediff-hook vc-hooks lisp-float-type lisp-mode
register page menu-bar rfn-eshadow timer select mldrag mouse jit-lock
font-lock syntax facemenu font-core frame cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese hebrew
greek romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev loaddefs button
minibuffer faces cus-face files text-properties overlay md5 base64
format env code-pages mule custom widget hashtable-print-readable
backquote make-network-process dbusbind multi-tty emacs)